Subject: [dhcwg] draft-bvtm-dhc-mac-assign-00 - Issue 4 - How to request multicast vs unicast space?

From: "Bernie Volz (volz)" <[email-masked]>
Date: Wed, 11 Apr 2018 22:14:31 +0000

Hi:

Tomek and I have several open issues (see https://github.com/dhcwg/dhcp-mac/issues) regarding the https://tools.ietf.org/html/draft-bvtm-dhc-mac-assign-00 draft.

One is how to request multicast vs unicast address space - https://github.com/dhcwg/dhcp-mac/issues/4. (You'll see additional emails about other issues.)

First, let me add that in re-reading the draft, I we need to be clear that while this is designed to be a general mechanism for assigning link-layer addresses, the draft focuses on 48-bit MAC addresses (link-layer-type of 1 for Ethernet). Future documents may define mechanisms for other link-layer address types.

Second, while I suspect most use cases are for assigning unicast link-layer addresses, I don't think we should preclude requesting multicast?

Hence, I propose that for link-layer-type = 1, there are two "special" link-layer-address values that may appear in the LLADDR option:

-          00:00:00:00:00:00 (all zeros) - To request a unicast address (or addresses)

-          01:00:00:00:00:00 - To request a multicast address (or addresses)
Other values are assumed to be an explicit request for that address (or a block of addresses starting at that address).

Note that the difference here is the setting of the I/G (individual/group) bit in the 48-bit MAC address.

If you have any comments or suggestions, they are appreciated.

-          Bernie